<infra-num-header></infra-num-header>
<nav id="view-switch">
  <div
    class="possible-view"
    [class.activated]="view === possibleViews.MAP"
    (click)="currentView = possibleViews.MAP">
    <span
      aria-hidden="true"
      class="fr-icon-france-line"></span>
    <span>Carte</span>
  </div>
  <div id="toggle-wrapper">
    <dsfr-toggle
      [formControl]="toggleControl"
      (toggled)="onViewSwitched($event)"
      toggleId="view-switch-toggle"
      label="Changement de vue"
      [hint]="'La vue actuellement affichée est la vue ' + view"
      [hideTexts]="true"
      [neutral]="true"></dsfr-toggle>
  </div>
  <div
    class="possible-view"
    [class.activated]="view === possibleViews.LIST"
    (click)="currentView = possibleViews.LIST">
    <span>Liste</span>
    <span
      aria-hidden="true"
      class="fr-icon-list-unordered"></span>
  </div>
</nav>
<main id="main-content">
  <router-outlet></router-outlet>
</main>
